cascading.tuple.hadoop.util

## Class TupleComparator

- java.lang.Object
- - org.apache.hadoop.conf.Configured
  - - cascading.tuple.hadoop.util.DeserializerComparator<Tuple>
    - - cascading.tuple.hadoop.util.BaseTupleComparator
      - - cascading.tuple.hadoop.util.TupleComparator

- All Implemented Interfaces:
    java.util.Comparator<Tuple>, org.apache.hadoop.conf.Configurable, org.apache.hadoop.io.RawComparator<Tuple>
  Direct Known Subclasses:
    ReverseTupleComparator

      public class TupleComparator
      extends BaseTupleComparator

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class cascading.tuple.hadoop.util.BaseTupleComparator

      `BaseTupleComparator.RawComparison`

  - ### Field Summary

    - ### Fields inherited from class cascading.tuple.hadoop.util.DeserializerComparator

      `groupComparators, keyTypes, lhsBuffer, lhsStream, rhsBuffer, rhsStream, tupleSerialization`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TupleComparator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected BaseTupleComparator.RawComparison` | `getByteComparison()`

    - ### Methods inherited from class cascading.tuple.hadoop.util.BaseTupleComparator

      `canPerformRawComparisons, compare, compare, getStreamComparison, setConf`

    - ### Methods inherited from class cascading.tuple.hadoop.util.DeserializerComparator

      `compareTuples, compareTuples, getFieldComparatorsFrom, getHadoopTupleInputStream, performRawComparison`

    - ### Methods inherited from class org.apache.hadoop.conf.Configured

      `getConf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.hadoop.conf.Configurable

      `getConf`

    - ### Methods inherited from interface java.util.Comparator

      `equals`

- - ### Constructor Detail

    - #### TupleComparator

          public TupleComparator()

  - ### Method Detail

    - #### getByteComparison

          protected BaseTupleComparator.RawComparison getByteComparison()

      Specified by:
        `getByteComparison` in class `BaseTupleComparator`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.